'''
Created on 14.12.2018

@author: Pascal
'''

import pyhdb

#===============================================================================
# Connection to the Database
#===============================================================================

try:
    # Create the connection to the Database
    conn = pyhdb.connect(host="Customize IP or Hostname", port=39041, user="Customize username", password="Customize password")

    print("Connected with the Hana DB")
except pyhdb.Error as e:
    print("Error at the database connection, please repeat it")
    

def load_on_handa_db_production_order(order_id, order_date, customer_name):        
    # Connection to the Database
    cursor = conn.cursor()
    
    # Insert the data stream to the correct Hana Table
    sql = "INSERT INTO MW350_01.PRODUCTIONORDER(ORDERID,ORDERDATE,CUSTOMERNAME) VALUES (%s,%s,%s)"
    cursor.execute(sql, (order_id,order_date,customer_name))
    
    # Finish the connection to the database
    conn.commit()

def load_on_handa_db_production_order_items(order_id, color_name, brick_quantity):        
    # Connection to the Database
    cursor = conn.cursor()
    
    # Insert the data stream to the correct Hana Table
    sql = "INSERT INTO MW350_01.PRODUCTIONORDERITEMS(ORDERID,COLORNAME,BRICKQUANTITY) VALUES (%s,%s,%s)"
    cursor.execute(sql, (order_id,color_name,brick_quantity))
    
    # Finish the connection to the database
    conn.commit()

def load_on_handa_db_production_status(order_id, device_id, date_time, status_code):    
    # Connection to the Database
    cursor = conn.cursor()

    # Insert the data stream to the correct Hana Table
    sql = "INSERT INTO MW350_01.PRODUCTIONORDERSTATUS(ORDERID,DEVICEID,DATETIME,STATUSCODE) VALUES (%s,%s,%s,%s)"
    cursor.execute(sql, (order_id,device_id,date_time,status_code))
    
    # Finish the connection to the database
    conn.commit()